package com.ruoyi.zhiyuanzhe.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 发放记录对象 b_distribution_records
 *
 * @author ruoyi
 * @date 2023-09-19
 */
@Data
@ApiModel("发放记录对象")
public class BDistributionRecords extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 活动id
     */
    @Excel(name = "活动id")
    @ApiModelProperty(value = "活动id")
    private Long activityId;

    /**
     * 证书id
     */
    @Excel(name = "证书id")
    @ApiModelProperty(value = "证书id")
    private Long certificateId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    private Long uId;

    /**
     * 物流信息
     */
    @ApiModelProperty(value = "物流信息")
    @Excel(name = "物流信息")
    private String content;


    /**
     * 1:已发放，2：未发放
     */
    @ApiModelProperty(value = "1:已发放，2：未发放")
    @Excel(name = "1:已发放，2：未发放")
    private Integer type;

    /**
     * 1:一次性证书发放,2：个性化证书发放
     */
    @ApiModelProperty(value = "1:一次性证书发放,2：个性化证书发放")
    @Excel(name = "1:一次性证书发放,2：个性化证书发放")
    private Integer creType;
    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateId;

    /**
     * 用户权限id
     */
    @Excel(name = "用户权限id")
    private Long userId;

    /**
     * 部门权限id
     */
    @Excel(name = "部门权限id")
    private Long deptId;


}
